Package org.apache.velocity.runtime.resource

# Class ContentResource

java.lang.Object
org.apache.velocity.runtime.resource.Resource
org.apache.velocity.runtime.resource.ContentResource

All Implemented Interfaces:
  `Cloneable`

public class ContentResource extends Resource
This class represent a general text resource that may have been retrieved from any number of possible sources. Also of interest is Velocity's `Template` `Resource`.

Version:
  $Id$
Author:
  Jason van Zyl, Geir Magnusson Jr.

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.resource.Resource

`data, encoding, lastModified, log, MILLIS_PER_SECOND, modificationCheckInterval, name, nextCheck, resourceLoader, rsvc, type`

## Constructor Summary

Constructors
Constructor
Description
`ContentResource()`
Default empty constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`process()`
Pull in static content and store it.

### Methods inherited from class org.apache.velocity.runtime.resource.Resource

`clone, deepCloneData, getData, getEncoding, getLastModified, getName, getResourceLoader, getType, isSourceModified, requiresChecking, setData, setEncoding, setLastModified, setModificationCheckInterval, setName, setResourceLoader, setRuntimeServices, setType, touch`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentResource

public ContentResource()
Default empty constructor

## Method Details

### process

public boolean process() throws ResourceNotFoundException
Pull in static content and store it.

Specified by:
  `process` in class `Resource`
Returns:
  True if everything went ok.
Throws:
  `ResourceNotFoundException` - Resource could not be found.